import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { IonicModule } from '@ionic/angular';
import { GdButtonComponent } from './gd-button.component';
import { MatIconModule, MatButtonModule } from '@angular/material';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    MatButtonModule,
    MatIconModule
  ],
  declarations: [GdButtonComponent],
  exports :[
    GdButtonComponent
  ]
})
export class GdButtonComponentModule {}
