import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { DokumentasiPage } from './dokumentasi.page';

import { GdButtonComponentModule } from '../Components/gd-button/gd-button.module';
import { GdSelectComponentModule } from '../Components/gd-select/gd-select.module';
import { GdInputComponentModule } from '../Components/gd-input/gd-input.module';
import { GdChipsComponentModule } from './../Components/gd-chips/gd-chips.module';
import { GdBadgeComponentModule } from './../Components/gd-badge/gd-badge.module';


import { GdCheckboxComponentModule } from '../Components/gd-checkbox/gd-checkbox.module';
import { GdRadiobuttonComponentModule } from '../Components/gd-radiobutton/gd-radiobutton.module';
import { GdToggleComponentModule } from '../Components/gd-toggle/gd-toggle.module';
import { GdSliderComponentModule } from '../Components/gd-slider/gd-slider.module';
import { GdBreadcrumbComponentModule } from '../Components/gd-breadcrumb/gd-breadcrumb.module';
import { GdToolbarComponentModule } from '../Components/gd-toolbar/gd-toolbar.module';
import { GdAvatarComponentModule } from '../Components/gd-avatar/gd-avatar.module';
import { GdButtonToggleComponentModule } from '../Components/gd-button-toggle/gd-button-toggle.module';
import { GdCardComponentModule } from '../Components/gd-card/gd-card.module';
import { GdTabsComponentModule } from './../Components/gd-tabs/gd-tabs.module';

import { GdStepperComponentModule } from '../Components/gd-stepper/gd-stepper.module';

const routes: Routes = [
  {
    path: '',
    component: DokumentasiPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    GdInputComponentModule,
    GdSelectComponentModule,
    GdButtonComponentModule,
    GdButtonToggleComponentModule,
    GdBadgeComponentModule,
    GdChipsComponentModule,
    GdTabsComponentModule,
    GdStepperComponentModule,
    GdRadiobuttonComponentModule,
    GdToggleComponentModule,
    GdSliderComponentModule,
    GdCheckboxComponentModule,
    GdBreadcrumbComponentModule,
    GdToolbarComponentModule,
    GdAvatarComponentModule,
    GdCardComponentModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    DokumentasiPage,
    // GdButtonComponent,
  ]
})
export class DokumentasiPageModule {}
