import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { moduleMetadata } from '@storybook/angular';

import MdGdStepper from './../doc/gd-stepper.md';
import { GdStepperComponent } from '../app/Components/gd-stepper/gd-stepper.component';
import { GdStepperComponentModule } from '../app/Components/gd-stepper/gd-stepper.module';


storiesOf("Gd Stepper", module)
    .addDecorator(
        moduleMetadata({
            imports: [
                GdStepperComponentModule
            ]
        })
    )

    .add("Basic", () => ({
        component: GdStepperComponent,
        props:{
            
        }
    }), 
    {
        notes: { markdown:MdGdStepper }
    });