import { Component, OnInit, Output, EventEmitter } from '@angular/core';
import { Input } from '@angular/core';

@Component({
  selector: 'gd-button',
  templateUrl: './gd-button.component.html',
  styleUrls: ['./gd-button.component.scss'],
})
export class GdButtonComponent implements OnInit {

  @Input() text:any;
  @Input() color:any;
  @Input() size:any;
  @Input() type:any;
  @Input() coba:any;
  @Input() src:any;

  @Output() onClickBtn: EventEmitter<any> = new EventEmitter();


  constructor() {
    this.type = "raised";
    this.color = "primary";
   }

  ngOnInit() {
  }

  getClick(id){

    this.onClickBtn.emit(id)
  }

  onClick(){
  }

}
