import { Component, OnInit, Input } from '@angular/core';
import { ThemePalette } from '@angular/material';


@Component({
  selector: 'gd-checkbox',
  templateUrl: './gd-checkbox.component.html',
  styleUrls: ['./gd-checkbox.component.scss'],
  
})
export class GdCheckboxComponent implements OnInit {
  @Input() text:any;
  @Input()checked: boolean;
  @Input()color: ThemePalette;
  @Input()disableRipple: boolean;
  @Input()disabled: any;
  @Input()required: boolean;
  @Input()labelPosition: 'before' | 'after';

  constructor() { }

  ngOnInit() {}

}
