import { Component, OnInit, Input } from '@angular/core';
import { ThemePalette, MatRadioButton } from '@angular/material';

@Component({
  selector: 'gd-radio-button',
  templateUrl: './gd-radiobutton.component.html',
  styleUrls: ['./gd-radiobutton.component.scss'],
})
export class GdRadiobuttonComponent implements OnInit {
  @Input()color: ThemePalette;
  @Input()disableRipple: boolean;
  @Input()disabled: boolean;
  @Input()labelPosition: 'before' | 'after';
  @Input()required: boolean;
  @Input()selected: MatRadioButton;
  @Input()checked: boolean;
  @Input()text:any;
  @Input()value: any;
  @Input('aria-label')ariaLabel: string;

  constructor() { }

  ngOnInit() {}

}
