import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { IonicModule } from '@ionic/angular';
import { GdStepperComponent } from './gd-stepper.component';

import {MatStepperModule} from '@angular/material/stepper';
import { ReactiveFormsModule } from '@angular/forms';
import { GdInputComponentModule } from '../gd-input/gd-input.module';
import { MatFormFieldModule, MatInputModule } from '@angular/material';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    MatStepperModule,
    MatFormFieldModule,
    MatInputModule,
    ReactiveFormsModule,
    GdInputComponentModule,
  ],
  declarations: [GdStepperComponent],
  exports :[
    GdStepperComponent
  ]
})
export class GdStepperComponentModule {}
