import { Component, OnInit, Input } from '@angular/core';
import { ThemePalette } from '@angular/material';



@Component({
  selector: 'gd-toggle',
  templateUrl: './gd-toggle.component.html',
  styleUrls: ['./gd-toggle.component.scss'],
})
export class GdToggleComponent implements OnInit {
  @Input()color: ThemePalette;
  @Input()checked: boolean;
  @Input()disableRipple: boolean;
  @Input()disabled: boolean;
  @Input()required: boolean;
  @Input()text:any;

  constructor() { }

  ngOnInit() {}

}
