[home](./../../README.md) > gd-select

## GdSelect

Select menggunakan material component

### Attributes

| Attribute     | Type     | Description |
| ---------     | --------- | ----------- |
| [toggleList]  | array[]   | { label:string, value:any, disable:boolean }            |

### How To Use
##### Module
```javascript
import { GdSelectComponentModule } from '../Components/gd-select/gd-select.module';

@NgModule({
  imports: [
    GdSelectComponentModule,
  ]
})      
```
##### Typescript
```javascript
    this.devlist = [
        {
            label: "Alam Sutera",
            value: "ASRI",
            disable: false
        },
        {
            label: "Pakuwon Jati",
            value: "PWON",
            disable: false
        },
        {
            label: "Jaya Real Property",
            value: "JRPT",
            disable: true
        }
    ]
```
##### HTML
```html
    <gd-select label="Pilih Developer" name="developer" [selectList]="devlist"></gd-select>

```