[home](./../../README.md) > gd-button

## GdButton

Tombol dengan interaksi reaktif yang diambil dari Angular Material Component.

### Attributes

| Attribute | Value     | Description |
| --------- | --------- | ----------- |
| type      | basic   |             |
|           | flat |             |
|           | raised   |             |
|           | outline     |             |
| color     | primary     |             |
|           | new   |             |
|           | partially     |             |
|           | approve     |             |
|           | rejected     |             |
| text     |    String|     Button Label        |
| src     |  Link / Dir  |     source icon      |

### How To Use
##### Module
```javascript
import { GdButtonComponentModule } from '../Components/gd-button/gd-button.module';

@NgModule({
  imports: [
    GdButtonComponentModule,
  ]
})      
```
##### HTML

```html
    <gd-button text="Submit" color="new" type="flat" src="asikin.svg"></gd-button>
    <gd-button text="Submit" color="primary" type="raised" src="asikin.svg"></gd-button>
    <gd-button text="Submit" color="approve" src="asikin.svg"></gd-button>
    <gd-button text="Submit" color="approve" type="basic" src="asikin.svg"></gd-button>
    <gd-button type="add" color="new"></gd-button>
```