[home](./../../README.md) > gd-input

## GdInput

Input keren

### Attributes

| Attribute  | Value     | Description |
| ---------  | --------- | ----------- |
| label      | String    |             |
| placeholder| String    |             |
| hint       | String    |             |
| type       | text      |             |
|            | email     |             |
| [required] | boolean   |             |

### How To Use
	
##### Module
```javascript
import { GdInputComponentModule } from '../Components/gd-input/gd-input.module';

@NgModule({
  imports: [
    GdInputComponentModule,
  ]
})      
```
##### HTML

```html
    <gd-input label="Name" placeholder="Nama Lengkap" hint="Sesuai KTP" type="text" [required]=false></gd-input>
```