[home](./../../README.md) > gd-select

## GdSelect

Select menggunakan material component

### Attributes

| Attribute     | Value     | Description |
| ---------     | --------- | ----------- |
| label         | string    |             |
| name          | string    |             |
| [selectList]  | array[]   | { id:string, value:string }            |

### How To Use
##### Module
```javascript
import { GdSelectComponentModule } from '../Components/gd-select/gd-select.module';

@NgModule({
  imports: [
    GdSelectComponentModule,
  ]
})      
```
##### Typescript
```javascript
    this.devlist = [
      {
        id:"ASRI",
        value:"Alam Sutera Realty"
      },
      {
        id:"JRPT",
        value:"Jaya Real Property"
      },
      {
        id:"PWON",
        value:"Pakuwon Jati"
      }
    ]
```
##### HTML
```html
    <gd-select label="Pilih Developer" name="developer" [selectList]="devlist"></gd-select>

```