import { storiesOf, moduleMetadata } from '@storybook/angular';
import { GdCheckboxComponent } from 'src/app/Components/gd-checkbox/gd-checkbox.component';
import { MatCheckboxModule, MatIconModule } from '@angular/material';

storiesOf('Gd Check Box', module)
    .addDecorator(
        moduleMetadata({
            declarations: [
                GdCheckboxComponent
            ],
            imports: [
                MatCheckboxModule,
            ]
        })
    )
    .add('Primary-CheckBox', () => ({
        component: GdCheckboxComponent,
        props: {
            text: "(Primary) <CheckBox>",
            color: "primary",
            required: "false",
            checked: "false",
            disableRipple: "false"
           
          
        },
    }))
    .add('Accent-CheckBox', () => ({
        component: GdCheckboxComponent,
        props: {
            text: "(Accent) <CheckBox>",
            color: "accent",
            required: "false",
            checked: "false",
            disableRipple: "false"
            
        }
    }))
    .add('Warn-CheckBox', () => ({
        component: GdCheckboxComponent,
        props: {
            text: "(Warn) <CheckBox>",
            color: "warn",
            required: "false",
            checked: "false",
            disableRipple: "false"
        }
    }))