import { storiesOf } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { moduleMetadata } from '@storybook/angular';
import { GdIconComponent } from '../app/Components/gd-icon/gd-icon.component';

storiesOf("Icon", module)
    .addDecorator(
        moduleMetadata({
            declarations: [
                GdIconComponent
            ],
            imports: [

            ]
        })
    )

    .add("icon", () => ({
        component: GdIconComponent,
        props: {
            src: "https://img.icons8.com/ios/50/000000/download-2.png"
        }
    }))